org.keycloak.partialimport

## Class IdentityProvidersPartialImport

- java.lang.Object
- - org.keycloak.partialimport.AbstractPartialImport<IdentityProviderRepresentation>
  - - org.keycloak.partialimport.IdentityProvidersPartialImport

- All Implemented Interfaces:
    PartialImport<IdentityProviderRepresentation>

      public class IdentityProvidersPartialImport
      extends AbstractPartialImport<IdentityProviderRepresentation>

  PartialImport handler for Identitiy Providers.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2016 Red Hat Inc.

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.partialimport.AbstractPartialImport

      `toOverwrite, toSkip`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityProvidersPartialImport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `create(RealmModel realm, KeycloakSession session, IdentityProviderRepresentation idpRep)`
    `boolean` | `exists(RealmModel realm, KeycloakSession session, IdentityProviderRepresentation idpRep)`
    `String` | `existsMessage(RealmModel realm, IdentityProviderRepresentation idpRep)`
    `String` | `getModelId(RealmModel realm, KeycloakSession session, IdentityProviderRepresentation idpRep)`
    `String` | `getName(IdentityProviderRepresentation idpRep)`
    `List<IdentityProviderRepresentation>` | `getRepList(PartialImportRepresentation partialImportRep)`
    `ResourceType` | `getResourceType()`
    `void` | `remove(RealmModel realm, KeycloakSession session, IdentityProviderRepresentation idpRep)`

    - ### Methods inherited from class org.keycloak.partialimport.AbstractPartialImport

      `added, doImport, existsError, overwritten, prepare, removeOverwrites, skipped`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityProvidersPartialImport

          public IdentityProvidersPartialImport()

  - ### Method Detail

    - #### getRepList

          public List<IdentityProviderRepresentation> getRepList(PartialImportRepresentation partialImportRep)

      Specified by:
        `getRepList` in class `AbstractPartialImport<IdentityProviderRepresentation>`

    - #### getName

          public String getName(IdentityProviderRepresentation idpRep)

      Specified by:
        `getName` in class `AbstractPartialImport<IdentityProviderRepresentation>`

    - #### getModelId

          public String getModelId(RealmModel realm,
                                   KeycloakSession session,
                                   IdentityProviderRepresentation idpRep)

      Specified by:
        `getModelId` in class `AbstractPartialImport<IdentityProviderRepresentation>`

    - #### exists

          public boolean exists(RealmModel realm,
                                KeycloakSession session,
                                IdentityProviderRepresentation idpRep)

      Specified by:
        `exists` in class `AbstractPartialImport<IdentityProviderRepresentation>`

    - #### existsMessage

          public String existsMessage(RealmModel realm,
                                      IdentityProviderRepresentation idpRep)

      Specified by:
        `existsMessage` in class `AbstractPartialImport<IdentityProviderRepresentation>`

    - #### getResourceType

          public ResourceType getResourceType()

      Specified by:
        `getResourceType` in class `AbstractPartialImport<IdentityProviderRepresentation>`

    - #### remove

          public void remove(RealmModel realm,
                             KeycloakSession session,
                             IdentityProviderRepresentation idpRep)

      Specified by:
        `remove` in class `AbstractPartialImport<IdentityProviderRepresentation>`

    - #### create

          public void create(RealmModel realm,
                             KeycloakSession session,
                             IdentityProviderRepresentation idpRep)

      Specified by:
        `create` in class `AbstractPartialImport<IdentityProviderRepresentation>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.